Campaigns: Batch Pause
PUT /apps/{app_id}/campaigns/batch_pausePath Parameters
Section titled “Path Parameters”| Name | Type | Required | Description |
|---|---|---|---|
app_id |
string | No | id of the pulsate app |
Headers
Section titled “Headers”| Name | Type | Required | Description |
|---|---|---|---|
Authorization |
string | Yes | {my_admin_api_token} |
Content-Type |
string | No | application/json |
Body Parameters
Section titled “Body Parameters”| Name | Type | Required | Description |
|---|---|---|---|
resource_ids |
array_string | Yes | Array of campaign ids which you need to pause |
Request Example
Section titled “Request Example”curl --request PUT \ --url https://control.pulsatehq.com/api/v2/apps/{app_id}/campaigns/batch_pause \ --header 'authorization: Token token={my_admin_api_token}' \ --header 'content-type: application/json' \ --data '{ "resource_ids": ["{CAMPAIGN_IDS}"]}'Responses
Section titled “Responses”200
[]
